Support » Plugin: AMP » The latest AMP plugin cause 500 error.

  • Resolved eriikr

    (@eriikr)


    I just update the AMP plugin to the latest version(0.7.0) on my site, when I try to access the amp version of my posts, server get 500 error, I’m using Apache web server(Version 2.4.33) and php(using php-fpm with Apache web server, PHP version 7.2.4). This is the error log.

    [proxy_fcgi:error] [pid 26479:tid 140386077288192] AH01071: Got error ‘PHP message: PHP Fatal error: Uncaught Error: Call to a member function canonical() on null in /var/www/violet/home/wp-content/plugins/glue-for-yoast-seo-amp/classes/class-frontend.php:162\nStack trace:\n#0 /var/www/violet/home/wp-includes/class-wp-hook.php(288): YoastSEO_AMP_Frontend->fix_amp_post_data(Array)\n#1 /var/www/violet/home/wp-includes/plugin.php(203): WP_Hook->apply_filters(Array, Array)\n#2 /var/www/violet/home/wp-content/plugins/amp/includes/templates/class-amp-post-template.php(156): apply_filters(‘amp_post_templa…’, Array, Object(WP_Post))\n#3 /var/www/violet/home/wp-content/plugins/amp/amp.php(328): AMP_Post_Template->__construct(Object(WP_Post))\n#4 /var/www/violet/home/wp-content/plugins/amp/amp.php(280): amp_render_post(Object(WP_Post))\n#5 /var/www/violet/home/wp-includes/class-wp-hook.php(286): amp_render(”)\n#6 /var/www/violet/home/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)\n#7 /var/www/violet/home/wp-includes/plugin.php(453): WP_Hook->do_action(Array)\n#8 /va…\n’

Viewing 10 replies - 1 through 10 (of 10 total)
Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘The latest AMP plugin cause 500 error.’ is closed to new replies.